
package ejercicio1;

import java.util.*; // Necesario para trabajar con Arrays.

public class ArrayASIR {

    int [] elementos;
    int num_elementos;

    public ArrayASIR(int num)
    {
        this.elementos=new int[num];
        this.num_elementos=this.elementos.length; // También podría ser this.num_elementos=num.
    }

    public int min_Array()
    {
        this.Ordenar(); // Primero ordenamos el vector con nuestro método.
        return(this.elementos[0]); // Una vez ordenado, cogemos el menor (0).
    }

    public ArrayASIR suma(ArrayASIR a, ArrayASIR b)
    {
        ArrayASIR aux;

        if(a.elementos.length==b.elementos.length) // Comprobamos las longitudes de los vectores.
        {
            aux=new ArrayASIR(a.num_elementos); // Creamos e inicializamos el auxiliar.
            
            for(int indice=0;indice<a.elementos.length;indice++)
            {
                // Sumamos cada elemento con su correspondiente par.
                aux.elementos[indice]=(a.elementos[indice]+b.elementos[indice]);
            }
            return(aux);
        }
        else
        {
            return(null); // Devolvemos "null" si no se cumplen las longitudes.
        }
    }

    public void Ordenar()
    {
        Arrays.sort(this.elementos); // Usamos Arrays.sort(int[])
    }
}
