
package ejercicio2;

/**
 *
 * @author Alberto Parra
 */
public class Radio {

    double frecuencia;
    int volumen;
    String canal;
    public double saltos_frecuencia;
    public double saltos_volumen;
    public double hz_x;
    public double hz_y;
    public double db_x;
    public double db_y;
    
    public void up_hez()
    {
        if(this.frecuencia+this.saltos_frecuencia<=this.hz_y)
        {
            this.frecuencia+=this.saltos_frecuencia;
        }
    }

    public void down_vol()
    {
        if(this.volumen-this.saltos_volumen>=this.db_x)
        {
            this.frecuencia-=this.saltos_volumen;
        }
    }

    public void DisplayRadio()
    {
        System.out.println("Canal = "+this.canal);
        System.out.println("Frecuencia = "+this.frecuencia);
        System.out.println("Volumen = "+this.volumen);
    }

    public void changeCanal()
    {
        if(this.canal.compareToIgnoreCase("fm")==0) // Comprobamos el nombre del canal
        {
            // Si el canal es FM, lo cambios por AM y reseteamos los valores.
            this.canal="AM";
            this.reset();
        }
        else
        {
            // Si el canal es AM, lo cambiamos y reseteamos.
            this.canal="FM";
            this.reset();
        }
    }

    public void reset() //Asignamos los valores por defecto dependiendo del canal.
    {
        if(this.canal.compareToIgnoreCase("FM")==0)
        {
            this.frecuencia=30.0;
            this.volumen=0;
            this.saltos_frecuencia=5;
            this.saltos_volumen=5;
            this.hz_x=30;
            this.hz_y=80;
            this.db_x=0;
            this.db_y=2;
            
        }
        else
        {
            this.frecuencia=10.0;
            this.volumen=3;
            this.saltos_frecuencia=3;
            this.saltos_volumen=2;
            this.hz_x=10;
            this.hz_y=40;
            this.db_x=3;
            this.db_y=18;
        }
    }

    public Radio() // Constructor por defecto, con los valores de FM.
    {
        this.canal="FM";
        this.reset();
    }

}
